Subject: [Q] Building B20.1 under NT 4.0?
From: [email-masked] (David M. Smith)

13 Jan 1999 13:58:32 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

Hi,

If I execute the following (very long winded) script:

> #!/bin/sh -x
> mkdir /obj
> cd /cygnus
> tar xvf /cygwin/dev-src.tar > tar1.log 2>&1
> cd /obj

> cp /tmp/i386-coff.h /cygnus/src/gcc/config/i386
> /cygnus/src/configure --prefix=/Install-DMS -v > configure1.log 2>&1

> make -k > make1.log 2>&1
> make -k install > install1.log 2>&1
> cd /cygnus/src
> patch -p1 -E < /cygwin/b20.1/20.0-20.1-dev-src.diff > patch2.log 2>&1
> cd /obj
> cp /tmp/i386-coff.h /cygnus/src/gcc/config/i386
> /cygnus/src/configure --prefix=/Install-DMS -v > configure2.log 2>&1

> make -k > make2.log 2>&1
> make -k install > install2.log 2>&1
> cd /cygnus
>
tar xvf /cygwin/user-src.tar > tar3.log 2>&1
> cd /obj
> cp /tmp/i386-coff.h /cygnus/src/gcc/config/i386
> /cygnus/src/configure --prefix=/Install-DMS -v > configure3.log 2>&1

> make -k > make3.log 2>&1
> make -k install > install3.log 2>&1
> cd /cygnus/src
patch -p1 -E < /cygwin/b20.1/20.0-20.1-user-src.diff >
> patch4.log 2>&1
> cd /obj
cp /tmp/i386-coff.h /cygnus/src/gcc/config/i386
> /cygnus/src/configure --prefix=/Install-DMS -v > configure4.log 2>&1

> make -k > make4.log 2>&1
> make -k install > install4.log 2>&1

I end up with a working /Install-DMS directory and importantly, no
rejected patches.

The cp ... 1386-coff.h bits are to fix a problem found (and solved) by
an RTEMS user in the RTEMS list.

If however I do the following:

> tar xvf /cygwin/dev-src.tar > tar1.log 2>&1
> tar xvf /cygwin/user-src.tar > tar2.log 2>&1
> patch -p1 -E < /cygwin/b20.1/20.0-20.1-dev-src.diff > patch3.log 2>&1
> patch -p1 -E < /cygwin/b20.1/20.0-20.1-user-src.diff > patch4.log 2>&1
> /cygnus/src/configure --prefix=/Install-DMS -v > configure4.log 2>&1
> make -k > make5.log 2>&1
> make -k install > install6.log 2>&1

Then 1 patch for dev-src is rejected (./ChangeLog) and several patches
for user-src (./Configure.in and ./Makefile.in amongst them) are
rejected.  Why is this happening?  How does the long winded (a bit like
this message!) approach work where the shorter one fails?

Any help would be appreciated.

Regards,
David
-- 
David M. Smith

If knowledge costs, ignorance costs more.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".